Package org.eclipse.jgit.api

## Enum RebaseCommand.Operation

- java.lang.Object
- - java.lang.Enum<RebaseCommand.Operation>
  - - org.eclipse.jgit.api.RebaseCommand.Operation

All Implemented Interfaces:
  `Serializable`, `Comparable<RebaseCommand.Operation>`

Enclosing class:
  RebaseCommand

    public static enum RebaseCommand.Operation
    extends Enum<RebaseCommand.Operation>

The available operations

### Enum Constant Summary

Enum Constants
`ABORT` Aborts and resets the current rebase
`BEGIN` Initiates rebase
`CONTINUE` Continues after a conflict resolution
`PROCESS_STEPS` Starts processing steps
`SKIP` Skips the "current" commit

### Method Summary

All Methods Static Methods Concrete Methods
`static RebaseCommand.Operation` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static RebaseCommand.Operation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BEGIN

    public static final RebaseCommand.Operation BEGIN

Initiates rebase

#### CONTINUE

    public static final RebaseCommand.Operation CONTINUE

Continues after a conflict resolution

#### SKIP

    public static final RebaseCommand.Operation SKIP

Skips the "current" commit

#### ABORT

    public static final RebaseCommand.Operation ABORT

Aborts and resets the current rebase

#### PROCESS_STEPS

    public static final RebaseCommand.Operation PROCESS_STEPS

Starts processing steps

Since:
  3.2

### Method Detail

#### values

    public static RebaseCommand.Operation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RebaseCommand.Operation c : RebaseCommand.Operation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RebaseCommand.Operation valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null